## NAS Network Reject indication NAS Network Reject indication |

## Functions

QmiIndicationNasNetworkRejectOutput * | qmi_indication_nas_network_reject_output_ref ()
void | qmi_indication_nas_network_reject_output_unref ()
gboolean | qmi_indication_nas_network_reject_output_get_closed_subscriber_group ()
gboolean | qmi_indication_nas_network_reject_output_get_plmn ()
gboolean | qmi_indication_nas_network_reject_output_get_reject_cause ()
gboolean | qmi_indication_nas_network_reject_output_get_service_domain ()
gboolean | qmi_indication_nas_network_reject_output_get_radio_interface ()

## Types and Values

| QmiIndicationNasNetworkRejectOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasNetworkRejectOutput

## Description

## Functions

### qmi_indication_nas_network_reject_output_ref ()

    QmiIndicationNasNetworkRejectOutput *
    qmi_indication_nas_network_reject_output_ref
                                   (QmiIndicationNasNetworkRejectOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_indication_nas_network_reject_output_unref ()

    void
    qmi_indication_nas_network_reject_output_unref
                                   (QmiIndicationNasNetworkRejectOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |

Since: 1.30

### qmi_indication_nas_network_reject_output_get_closed_subscriber_group ()

    gboolean
    qmi_indication_nas_network_reject_output_get_closed_subscriber_group
                                   (QmiIndicationNasNetworkRejectOutput *self,
                                    guint32 *value_closed_subscriber_group,
                                    GError **error);

Get the 'Closed Subscriber Group' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |
value_closed_subscriber_group | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_indication_nas_network_reject_output_get_plmn ()

    gboolean
    qmi_indication_nas_network_reject_output_get_plmn
                                   (QmiIndicationNasNetworkRejectOutput *self,
                                    guint16 *value_plmn_mcc,
                                    guint16 *value_plmn_mnc,
                                    gboolean *value_plmn_includes_pcs_digit,
                                    GError **error);

Get the 'PLMN' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |
value_plmn_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_plmn_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_plmn_includes_pcs_digit | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_indication_nas_network_reject_output_get_reject_cause ()

    gboolean
    qmi_indication_nas_network_reject_output_get_reject_cause
                                   (QmiIndicationNasNetworkRejectOutput *self,
                                    QmiNasRejectCause *value_reject_cause,
                                    GError **error);

Get the 'Reject Cause' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |
value_reject_cause | a placeholder for the output QmiNasRejectCause, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_indication_nas_network_reject_output_get_service_domain ()

    gboolean
    qmi_indication_nas_network_reject_output_get_service_domain
                                   (QmiIndicationNasNetworkRejectOutput *self,
                                    QmiNasNetworkServiceDomain *value_service_domain,
                                    GError **error);

Get the 'Service Domain' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |
value_service_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_indication_nas_network_reject_output_get_radio_interface ()

    gboolean
    qmi_indication_nas_network_reject_output_get_radio_interface
                                   (QmiIndicationNasNetworkRejectOutput *self,
                                    QmiNasRadioInterface *value_radio_interface,
                                    GError **error);

Get the 'Radio Interface' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkRejectOutput. |
value_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

## Types and Values

### QmiIndicationNasNetworkRejectOutput

    typedef struct _QmiIndicationNasNetworkRejectOutput QmiIndicationNasNetworkRejectOutput;

The QmiIndicationNasNetworkRejectOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30